import { useState, useEffect } from 'react';
import { csv } from 'd3';

export const useCountryCodes = (url) => {
  const [countryCodes, setCountryCodes] = useState(null);
  
   useEffect(() => {
    csv(url).then(setCountryCodes);
  }, []);
  
  return { countryCodes };
}