import { useState, useEffect } from 'react';
import { csv } from 'd3';

export const useData = (url) => {
  const [data, setData] = useState(null);
   useEffect(() => {
    const row = d => {
      d.aids = +d['Prevalence - HIV/AIDS - Sex: Both - Age: 15-49 years (Percent) (%)'];
      
      return d;
    };
    csv(url, row).then(setData);
  }, []);
  
  return { data };
}